
Foreman - Bug #27402

The Foreman "forgets" group members after update to 1.22.0

07/24/2019 07:08 AM - Dirk Heinrichs

Status: Closed   

Priority: High   

Assignee: Ondřej Ezr   

Category: Authentication   

Target version: 1.22.2   

Difficulty:  Fixed in Releases: 1.22.2, 1.23.1, 1.24.0

Triaged: No Found in Releases: 1.22.0

Bugzilla link: 1753907 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7461,

https://github.com/theforeman/foreman/p

ull/7045

  

Description

I've just updated from 1.21.3 to 1.22.0 and found that users got permission denied messages after logging in, for example because of

missing "view_hosts" permissions. After logging in as admin I recognized that the groups didn't have any members anymore. So I

added the members again, saved the change, reloaded the group again to verify (members where still there), logged out from admin

and logged in as normal user -> No view_hosts permission. Logged back in as admin and saw that the group had no members again.

How reproducible:

always

Steps to Reproduce:

1. Set up LDAP authentication with synchronization enabled

2. Create simple Satellite Usergroup with no external user group link

3. Add users from the LDAP auth source to the Usergroup

4. Log-in as any of the LDAP users aded to the Usergroup

Actual results:

LDAP users are no longer members of the Satellite Usergroup.

Expected results:

No change in the Usergroup memberships.

Related issues:

Related to Foreman - Bug #25795: LDAP - When User Group sync is enabled, user... Closed

Associated revisions

Revision 1a155135 - 09/20/2019 08:52 AM - Ondřej Ezr

Fixes #27402 - LDAP usergroup sync (#7045)

History

#1 - 07/24/2019 10:32 AM - Marek Hulán

I assume you use LDAP and you are syncing external user groups in cron, is that correct? Do you see some related changes in Monitor -> Audits?

#2 - 07/24/2019 11:37 AM - Dirk Heinrichs

No. The only entries there are those for when I re-added the members.

#3 - 07/24/2019 11:44 AM - Dirk Heinrichs

It works if I assign the roles to the users directly.

#4 - 07/24/2019 12:08 PM - Dirk Heinrichs

Oh, and yes, I'm using LDAP (synchronized groups manually using the button, though).
#5 - 07/25/2019 01:21 PM - Tomer Brisker

- Category set to Authentication

#6 - 07/25/2019 01:27 PM - Tomer Brisker

- Target version set to 1.22.1

#7 - 07/25/2019 01:28 PM - Tomer Brisker

- Related to Bug #25795: LDAP - When User Group sync is enabled, user wait long time to authenticate / login added

#8 - 07/25/2019 01:33 PM - Tomer Brisker

- Assignee set to Ondřej Ezr

#9 - 08/02/2019 10:19 AM - Ondřej Ezr

I am unable to reproduce :(

Do I understand correctly you have the `Usergroup Sync` disabled on the ldap definition?

What ldap provider are you using?

#10 - 08/02/2019 11:16 AM - Dirk Heinrichs

Yes, did it manually when configuring the LDAP connection. Groups don't change so often in our environment. The LDAP provider is AD.

#11 - 08/21/2019 07:45 AM - Tomer Brisker

- Priority changed from Urgent to High

- Target version deleted (1.22.1)

Could you please provide some more information regarding your setup to help reproduce? do you have any plugins installed or special configuration?

we are having difficulty reproducing this issue.

#12 - 08/26/2019 05:44 AM - Dirk Heinrichs

No, there are no plugins installed and there is no special configuration.

#13 - 09/17/2019 02:57 PM - Ondřej Ezr

Hi Dirk,

I have been able to reproduce an issue where the LDAP users are removed from groups, which are not synced with LDAP (do not have any external

user groups).

Is that your setup?

#14 - 09/17/2019 03:01 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7045 added

#15 - 09/18/2019 10:08 AM - Dirk Heinrichs

Not sure what you mean by "LDAP users are removed from groups". Do mean inside Foreman, or in LDAP itself?

#16 - 09/18/2019 12:55 PM - Tomer Brisker

- Target version set to 1.22.2

#17 - 09/20/2019 08:25 AM - Ondřej Ezr

- Description updated

I have specified the reproducer.

Does that describe your issue?

#18 - 09/20/2019 08:26 AM - Ondřej Ezr

- Bugzilla link set to 1753907

#19 - 09/20/2019 08:52 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added
#20 - 09/20/2019 09:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset 1a1551359b2d287fd68208292c73531e86440ba6.

#21 - 10/02/2019 11:28 AM - Tomer Brisker

- Fixed in Releases 1.22.2, 1.23.1 added

#22 - 11/25/2019 02:01 PM - Dirk Heinrichs

Just updated to 1.22.2 and then to 1.23.1. Both releases still have the problem.

#23 - 02/23/2020 03:40 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7461 added
